Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.template
Class ImportAttributeModel

    java.lang.Object
      org.apache.tiles.template.ImportAttributeModel

    public class ImportAttributeModel

extends java.lang.Object

Import attribute(s) in specified context.

Import attribute(s) to requested scope. Attribute name and scope are optional. If not specified, all attributes are imported in page scope. Once imported, an attribute can be used as any other beans from jsp contexts.

Since:
  2.2.0
Version:
  $Rev: 795354 $ $Date: 2009-07-18 14:32:28 +0200 (sab, 18 lug 2009) $

Constructor Summary
`ImportAttributeModel()`

Method Summary
`java.util.Map<java.lang.String,java.lang.Object>` | `getImportedAttributes(TilesContainer container, java.lang.String name, java.lang.String toName, boolean ignore, java.lang.Object... requestItems)` Retuns a Map that contains the attributes to be imported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportAttributeModel

    public ImportAttributeModel()

Method Detail

### getImportedAttributes

    public java.util.Map<java.lang.String,java.lang.Object> getImportedAttributes(TilesContainer container,
                                                                                  java.lang.String name,
                                                                                  java.lang.String toName,
                                                                                  boolean ignore,
                                                                                  java.lang.Object... requestItems)

  Retuns a Map that contains the attributes to be imported. The importing code must be done by the caller.

  Parameters:
    `container` - The Tiles container to use.
    `name` - The attribute to import. If null, all the attributes will be imported.
    `toName` - The destination name of the attribute to import. Valid only if `name` is specified.
    `ignore` - If `true` and the attribute is not found, or an exception happens, the problem will be ignored.
    `requestItems` - The request objects.
  Returns:
    A Map of the attributes to be imported: the key is the name of an attribute, the value is the value of that attribute.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.